[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#770751: adt-run fail with ValueError: Invalid version string '10.1.1-1]'



package: autopkgtest
version: 3.8
severity: grave


pravi at savannah:~/forge/debian/git/pkg-ruby-extras/ruby-jwt $ adt-run -B
.// --- null
adt-run [01:17:28]: version 3.8
adt-run [01:17:28]: testbed dpkg architecture: amd64
adt-run [01:17:28]: @@@@@@@@@@@@@@@@@@@@ unbuilt-tree .//
adt-run [01:17:28]: testing package ruby-jwt version 1.0.0-1
adt-run [01:17:28]: build not needed
adt-run [01:17:28]: test command1: preparing
Starting pkgProblemResolver with broken count: 0
Starting 2 pkgProblemResolver with broken count: 0
Done
adt-run [01:17:30]: ERROR: unexpected error:
Traceback (most recent call last):
  File "/usr/bin/adt-run", line 1742, in main
    process_actions()
  File "/usr/bin/adt-run", line 1720, in process_actions
    run_tests(tests, tests_tree)
  File "/usr/bin/adt-run", line 1205, in run_tests
    testbed.run_test(tree, t)
  File "/usr/bin/adt-run", line 905, in run_test
    self.prepare(test.depends, 'needs-recommends' in test.restrictions)
  File "/usr/bin/adt-run", line 468, in prepare
    self.install_deps(deps_new, recommends)
  File "/usr/bin/adt-run", line 462, in install_deps
    self.satisfy_dependencies_string(', '.join(deps_new),
'install-deps', recommends)
  File "/usr/bin/adt-run", line 888, in satisfy_dependencies_string
    self.install_tmp(deps, recommends)
  File "/usr/bin/adt-run", line 725, in install_tmp
    if not check_constraint(pkg, ver):
  File "/usr/bin/adt-run", line 698, in check_constraint
    comp = debian_support.version_compare(ver, constraint[1])
  File "/usr/lib/python3/dist-packages/debian/debian_support.py", line
314, in version_compare
    va = Version(a)
  File "/usr/lib/python3/dist-packages/debian/debian_support.py", line
213, in __init__
    super(AptPkgVersion, self).__init__(version)
  File "/usr/lib/python3/dist-packages/debian/debian_support.py", line
111, in __init__
    self.full_version = version
  File "/usr/lib/python3/dist-packages/debian/debian_support.py", line
137, in __setattr__
    self._set_full_version(str(value))
  File "/usr/lib/python3/dist-packages/debian/debian_support.py", line
116, in _set_full_version
    raise ValueError("Invalid version string %r" % version)
ValueError: Invalid version string '10.1.1-1]'

-------------- next part --------------
A non-text attachment was scrubbed...
Name: signature.asc
Type: application/pgp-signature
Size: 819 bytes
Desc: OpenPGP digital signature
URL: <http://lists.alioth.debian.org/pipermail/autopkgtest-devel/attachments/20141124/0d134192/attachment.sig>


Reply to: